Skip to content
GET /unified/crm/users/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

idstring
required·

The user's unique identifier

18 supported
ActiveCampaign
supported
Attio
supported
Capsule
supported
Close
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Outreach
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Teamleader
supported
Wix
supported
Zendesk Sell
supported
Zoho CRM
supported
created_atstring · date-time

The date and time of the user's creation

14 supported
Attio
supported
Capsule
supported
Close
supported
HubSpot
supported
Insightly
supported
Outreach
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Wix
supported
Zendesk Sell
supported
Zoho CRM
supported
emailstring

The user's email

18 supported
ActiveCampaign
supported
Attio
supported
Capsule
supported
Close
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Outreach
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Teamleader
supported
Wix
supported
Zendesk Sell
supported
Zoho CRM
supported
is_activeboolean

Whether the user is active

15 supported
ActiveCampaign
supported
Attio
supported
Capsule
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Teamleader
supported
Wix
supported
Zendesk Sell
supported
Zoho CRM
supported
namestring

The user's name

18 supported
ActiveCampaign
supported
Attio
supported
Capsule
supported
Close
supported
Highlevel
supported
HubSpot
supported
Insightly
supported
OnePageCRM
supported
Outreach
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Teamleader
supported
Wix
supported
Zendesk Sell
supported
Zoho CRM
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

updated_atstring · date-time

The date and time of the user's last update

13 supported
Capsule
supported
Close
supported
HubSpot
supported
Insightly
supported
Outreach
supported
Pipedrive
supported
Pipeliner
supported
Planhat
supported
Salesflare
supported
Salesforce
supported
Wix
supported
Zendesk Sell
supported
Zoho CRM
supported
urlsobject[]

The user's urls

6 supported
Attio
supported
OnePageCRM
supported
Pipedrive
supported
Salesforce
supported
Zendesk Sell
supported
Zoho CRM
supported
typestring

The user's URL type

urlstring

The user's URL

curl -X GET 'https://api.truto.one/unified/crm/users/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/crm/users/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/crm/users/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'crm',
  'users',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "crm",
        "users",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())